aboutsummaryrefslogtreecommitdiff
path: root/resources/scripts/misc/libreboot_usb_bugfix
diff options
context:
space:
mode:
author4 of 7 (Leah Rowe) info@minifree.org <info@minifree.org>2017-01-21 18:14:33 +0000
committer4 of 7 (Leah Rowe) info@minifree.org <info@minifree.org>2017-01-21 18:18:20 +0000
commit4b0752e1c264c4ba2a354507ca97bb2e039dda1a (patch)
treedca24f3d11087443aa9c8b2d823ed1d5b8dad001 /resources/scripts/misc/libreboot_usb_bugfix
parent3c17e8d80e5bacacddb8be37b598cd91cf543539 (diff)
downloadlibrebootfr-4b0752e1c264c4ba2a354507ca97bb2e039dda1a.tar.gz
librebootfr-4b0752e1c264c4ba2a354507ca97bb2e039dda1a.zip
re-add old build system (for x86 boards/utils)
Everything will be migrated over to the new build system after release.
Diffstat (limited to 'resources/scripts/misc/libreboot_usb_bugfix')
-rw-r--r--resources/scripts/misc/libreboot_usb_bugfix50
1 files changed, 50 insertions, 0 deletions
diff --git a/resources/scripts/misc/libreboot_usb_bugfix b/resources/scripts/misc/libreboot_usb_bugfix
new file mode 100644
index 00000000..bdb5c40a
--- /dev/null
+++ b/resources/scripts/misc/libreboot_usb_bugfix
@@ -0,0 +1,50 @@
+#! /bin/sh
+################################################################################
+# Copyright (C) 2016 Namine Ritsu <ritsu73@ecantorix.moe> #
+# #
+# This program is free software: you can redistribute it and/or modify #
+# it under the terms of the GNU General Public License as published by #
+# the Free Software Foundation, either version 3 of the License, or #
+# (at your option) any later version. #
+# #
+# This program is distributed in the hope that it will be useful, #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the #
+# GNU General Public License for more details. #
+# #
+# You should have received a copy of the GNU General Public License #
+# along with this program. If not, see <http://www.gnu.org/licenses/>. #
+# #
+################################################################################
+
+### BEGIN INIT INFO
+# Provides: libreboot_usb_bugfix
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop:
+# Short-Description: Disable USB wakeup on libreboot machines
+### END INIT INFO
+
+case "$1" in
+ start)
+ EHC1=$(cat /proc/acpi/wakeup | grep EHC1 | grep enabled | wc -l)
+ EHC2=$(cat /proc/acpi/wakeup | grep EHC2 | grep enabled | wc -l)
+ if [ "$EHC1" -gt 0 ]
+ then
+ echo EHC1 > /proc/acpi/wakeup
+ fi
+ if [ "$EHC2" -gt 0 ]
+ then
+ echo EHC2 > /proc/acpi/wakeup
+ fi
+ ;;
+ status)
+ cat /proc/acpi/wakeup | grep EHC
+ ;;
+ *)
+ echo "Usage: /etc/init.d/libreboot_usb_bugfix {start|status}"
+ exit 1
+esac
+
+exit 0